Bug 543248 - Review Request: python-jsonpickle - A module that allows any object to be serialized into JSON
Review Request: python-jsonpickle - A module that allows any object to be ser...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 532499
  Show dependency treegraph
 
Reported: 2009-12-01 19:41 EST by Ben Boeckel
Modified: 2010-03-11 02:22 EST (History)
5 users (show)

See Also:
Fixed In Version: git-cola-1.4.1.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-11 02:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-12-01 19:41:31 EST
Spec URL: http://benboeckel.net/packaging/python-jsonpickle/python-jsonpickle.spec
SRPM URL: http://benboeckel.net/packaging/python-jsonpickle/python-jsonpickle-0.2.0-1.fc12.src.rpm
Description:
This module allows python objects to be serialized to JSON in a similar fashion
to the pickle module.
Comment 1 Ryan Rix 2009-12-01 19:46:07 EST
I got this
Comment 2 Rex Dieter 2009-12-07 12:51:56 EST
Ryan's sorta awol a bit tdday, I'll jump in.
Comment 3 Rex Dieter 2009-12-07 12:56:56 EST
$ rpmlint *.rpm noarch/*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings

Naming: OK

License: BSD    OK

BR/Requires: OK

upstream source confirmed,
4948ba2a92437e952483aa1279a00eec  jsonpickle-0.2.0.tar.gz
(despite googlecode working hard to make wget not work)

otherwise, looks like an excellent use of the noarch python .spec template, 0 issues there... OK


APPROVED
Comment 4 Ben Boeckel 2009-12-10 01:17:32 EST
New Package CVS Request
=======================
Package Name: python-jsonpickle
Short Description: A module that allows any object to be serialized into JSON
Owners: mathstuf
Branches: F-11 F-12
InitialCC:
Comment 5 Kevin Fenzi 2009-12-14 12:38:56 EST
cvs done.
Comment 6 John Paulett 2009-12-14 13:04:38 EST
Just FYI, we released a new version of jsonpickle this weekend  (http://pypi.python.org/pypi/jsonpickle/0.3.1), and have switched to hosting the files on PyPi instead of Google Code.  The PyPi file list is available at http://pypi.python.org/packages/source/j/jsonpickle/

Thanks for working on the packaging for jsonpickle--I'm excited to see it in Fedora!
Comment 7 Ben Boeckel 2009-12-15 08:42:39 EST
Thanks. I'll update the information in the spec file when I get my laptop unpacked. The netbook isn't well suited to packaging work :/ .
Comment 8 Rex Dieter 2010-01-22 13:32:29 EST
Ben, ping, I don't see anything imported to cvs yet.
Comment 9 Ben Boeckel 2010-01-24 07:46:42 EST
Imported and built.
Comment 10 Fedora Update System 2010-02-06 16:30:46 EST
git-cola-1.4.1.2-2.fc12,python-jsonpickle-0.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/git-cola-1.4.1.2-2.fc12,python-jsonpickle-0.3.1-1.fc12
Comment 11 Fedora Update System 2010-02-06 16:31:02 EST
git-cola-1.4.1.2-2.fc11,python-jsonpickle-0.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/git-cola-1.4.1.2-2.fc11,python-jsonpickle-0.3.1-1.fc11
Comment 12 Fedora Update System 2010-02-08 23:59:00 EST
git-cola-1.4.1.2-2.fc12, python-jsonpickle-0.3.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update git-cola python-jsonpickle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1555
Comment 13 Fedora Update System 2010-02-09 00:10:54 EST
git-cola-1.4.1.2-2.fc11, python-jsonpickle-0.3.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update git-cola python-jsonpickle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1637
Comment 14 Fedora Update System 2010-03-11 02:17:42 EST
git-cola-1.4.1.2-2.fc12, python-jsonpickle-0.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-03-11 02:22:22 EST
git-cola-1.4.1.2-2.fc11, python-jsonpickle-0.3.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.